package fun.bb1.spigot.fly;

import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

import fun.bb1.spigot.fly.config.Config;
import fun.bb1.spigot.fly.connect.PlaceHolderApiSupport;

public class EntryPoint extends JavaPlugin {
	
	@Override
	public void onLoad() {
		this.saveDefaultConfig();
		super.onLoad();
	}
	
	@Override
	public void onEnable() {
		this.getLogger().info("Thank you for using flight!");
		if (Bukkit.getPluginManager().getPlugin("PlaceholderAPI") != null) {
			new PlaceHolderApiSupport(this);
		}
		final Config config = new Config(this);
		new FlyCommand(this, config);
		new FlySpeedCommand(this, config);
	}
	
}
