package fun.bb1.spigot.fly.connect;

import org.bukkit.OfflinePlayer;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;
import org.jetbrains.annotations.ApiStatus.Internal;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import me.clip.placeholderapi.expansion.PlaceholderExpansion;

@Internal
public final class PlaceHolderApiSupport extends PlaceholderExpansion {
	
	private final @NotNull JavaPlugin plugin;
	
	@Internal
	public PlaceHolderApiSupport(final @NotNull JavaPlugin plugin) {
		this.plugin = plugin;
		plugin.getLogger().info("Placeholder detected adding support!");
	}
	
	@Override
	public final @NotNull String getIdentifier() {
		return "fly";
	}

	@Override
	public final @NotNull String getAuthor() {
		return "BradBot_1#2042";
	}

	@Override
	public final @NotNull String getVersion() {
		return "1.0.0";
	}
	
	@Override
	public final @Nullable String onPlaceholderRequest(final Player player, final @NotNull String params) {
		return super.onRequest(player, params);
	}
	
	@Override
	public final @Nullable String onRequest(final OfflinePlayer player, final @NotNull String params) {
		return switch(params.toLowerCase()) {
			case "active", "on" -> Boolean.toString(player.isOnline() && ((Player)player).getAllowFlight());
			case "inactive", "off" -> Boolean.toString(!player.isOnline() || !((Player)player).getAllowFlight());
			case "speed" -> Float.toString(player.isOnline() ? 0 : ((Player)player).getFlySpeed());
			default -> null;
		};
	}

}
